Texa DeskDevelopers

Texa Desk Application API · Canned responses

Update Canned Response in Account

PATCH/api/v1/accounts/{account_id}/canned_responses/{id}

Update a Canned Response in Account

Authorization

api_access_tokenheaderrequired

A person's access token (Texa Desk, Profile settings → Access token) or an agent bot's token, in the api_access_token header. It acts as that person, with their role's permissions.

Path parameters

account_idintegerrequired

The numeric ID of the account

idintegerrequired

The ID of the canned response to be updated.

Body application/json

contentstring

Message content for canned response

short_codestring

Short Code for quick access of the canned response

Responses

200

Success

idinteger

ID of the canned response

account_idinteger

Account Id

short_codestring

Short Code for quick access of the canned response

contentstring

Message content for canned response

created_atstring

The date and time when the canned response was created

updated_atstring

The date and time when the canned response was updated

404

Agent not found

descriptionstring
errorsarray of object
errors[].fieldstring
errors[].messagestring
errors[].codestring
403

Access denied

descriptionstring
errorsarray of object
errors[].fieldstring
errors[].messagestring
errors[].codestring